---
- name: "Setup WSL: Prerequisited"
  hosts: localhost

  vars:
    ansible_user: "{{ user | default('lujobi', true) }}"
    ansible_user_home: "{{ lookup('env', 'HOME') }}"
    ansible_git_user_name: "{{ git_user_name | default('Luzian Bieri', true) }}"
    ansible_git_user_email: "{{ git_user_email | default('l.j.bieri@gmail.com', true) }}"

  roles:
    - role: pre_apt
    - role: pre_git
    - role: pre_rust
    - role: pre_python
